"use strict";
this.author    = "Zafrusteria";
this.copyright = "© 2024 Zafrusteria.";
this.license   = "Creative Commons: attribution, non-commercial,  CC BY-NC-SA 4.0 sharealike - see readme.txt";
this.version   = "0.6";

this.name        = "ShrewsRights_Whiskers";
this.description = "Handlers for Tiaras Skeets flying Whiskers.";

this.$debug = false;

// [0] == 1, captured TS || 2, killed TS || 3, lost in space || 4, not dead yet
// [1] == 1 Whiskers left derelict || 2, npc left derelict || 3, you destroyed || 4, npc destroyed || 5, just attacked
this.shipDied = function _ShrewsRights_Whiskers_shipDied(killer) {
    if (this.$debug) log(this.name, "shipDied Killer: " + killer);

    if (this.ship.crew && this.ship.crew[0].name === "Tiaras Skeets") {
        if (this.$debug) log(this.name, "shipDied Crew: " + this.ship.crew[0].name);
        if (killer.isPlayer) {
            worldScripts.ShrewsRights.$missionTSDead[0] = 2;
            worldScripts.ShrewsRights.$missionTSDead[1] = 3;
           player.commsMessage(expandDescription("[ShrewsRights_killed_TS]"), 10);
        } else {
            worldScripts.ShrewsRights.$missionTSDead[0] = 2;
            worldScripts.ShrewsRights.$missionTSDead[1] = 4;
            killer.commsMessage(expandDescription("[ShrewsRights_npc_killed_TS]"), player);
        }
    } else {
        if (this.$debug) log(this.name, "shipDied Derelict destroyed");
        worldScripts.ShrewsRights.$missionTSDead[0] = 3;

        if (killer.isPlayer) {
            player.commsMessage(expandDescription("[ShrewsRights_derelict_killed]"), 10);
            worldScripts.ShrewsRights.$missionTSDead[1] = 3;
        } else {
            killer.commsMessage(expandDescription("[ShrewsRights_npc_derelict_killed]"), player);
            worldScripts.ShrewsRights.$missionTSDead[1] = 4;
        }
    }
}

this.shipTakingDamage = function _ShrewsRights_Whiskers_shipTakingDamage() {
    worldScripts.ShrewsRights.$missionTSDead[0] = 4;
    if (this.ship.isDerelict) {
        if (this.ship.AIPrimaryAggressor.scanClass === "CLASS_PLAYER")
            worldScripts.ShrewsRights.$missionTSDead[1] = 1;
        else
            worldScripts.ShrewsRights.$missionTSDead[1] = 2;
    } else
        worldScripts.ShrewsRights.$missionTSDead[1] = 5;
}
